MeasurementScheduleZevent.MeasurementScheduleZeventSource (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.MeasurementScheduleZevent.MeasurementScheduleZeventSource class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class MeasurementScheduleZevent.MeasurementScheduleZeventSource

    java.lang.Object
      org.hyperic.hq.measurement.server.session.MeasurementScheduleZevent.MeasurementScheduleZeventSource

All Implemented Interfaces:
  java.io.Serializable, ZeventSourceId

Enclosing class:
  MeasurementScheduleZevent

    public static class MeasurementScheduleZevent.MeasurementScheduleZeventSource

extends java.lang.Object
implements ZeventSourceId

See Also:
  Serialized Form

Constructor Summary
`MeasurementScheduleZevent.MeasurementScheduleZeventSource(int id)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getId()` Returns the id of the `Measurement` that the event is for.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeasurementScheduleZevent.MeasurementScheduleZeventSource

    public MeasurementScheduleZevent.MeasurementScheduleZeventSource(int id)

Method Detail

### getId

    public int getId()

  Returns the id of the `Measurement` that the event is for.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.